FLANG

Public Member Functions | Public Attributes | List of all members
Fortran::parser::DoConstruct Struct Reference

## Public Member Functions
| TUPLE_CLASS_BOILERPLATE (DoConstruct)
const std::optional< LoopControl > & | GetLoopControl () const
bool | IsDoNormal () const
bool | IsDoWhile () const
bool | IsDoConcurrent () const

## Public Attributes
std::tuple< Statement< NonLabelDoStmt >, Block, Statement< EndDoStmt > > | t

The documentation for this struct was generated from the following files:

- include/flang/Parser/parse-tree.h
- lib/Parser/parse-tree.cpp